import {appConfig} from "./config"
import {sduAxios} from "./includes"
import {reqBody} from "./poll"
import * as fs from "fs"
import {IJsonCourse} from "./types"

async function test() {
    console.log('channels: ' + appConfig.channels)
    for (let course of appConfig.monit?.list || []) {
        console.log('添加监控课程 ' + course.kch + ' on channel ' + course.channel)
    }
    for (let course of appConfig.acquire?.list || []) {
        console.log('添加抢课课程 ' + course.kch + ' on channel ' + course.channel)
    }
    if (appConfig.replace) {
        console.log('添加退课课程 ' + appConfig.replace.exit.kch + ' on channel ' + appConfig.replace.exit.channel)
        for (let course of appConfig.replace.list) {
            console.log('添加换课课程 ' + course.kch + ' on channel ' + course.channel)
        }
    }


    let resp = await sduAxios.post('/jsxsd/xsxkkc/xsxkGgxxkxk?kcxx=&skls=&skxq=&skjc=&sfym=false&sfct=false&szjylb=&sfxx=true&skfs=&xqid=', reqBody)
    fs.writeFileSync('arr.json', JSON.stringify(resp.data.aaData, null, 2))
    let courseList: IJsonCourse[] = resp.data.aaData
    courseList = courseList.filter(single => single.kcmc.includes('稷下创新')
        && single.xf >= 2)
    for (let course of courseList) {
        console.log(course.kcmc + ' ' + course.kch + ' ' + course.kxh + ' ' + course.syrs + ' ' + course.xf)
    }
}

test()
